{% comment %}
Keyword arguments:

* curr_page: int
* total_pages: int
* pagination: list
* base_href: str

{% endcomment %}
{% load i18n %}
<nav id="paginator"
     class="pagination is-centered"
     role="navigation"
     aria-label="pagination">
  {% if curr_page == 1 %}
    <a class="pagination-previous is-disabled">{% trans "Anterior" %}</a>
  {% else %}
    <a class="pagination-previous"
       href="{{ base_href }}&page={{ curr_page|add:-1 }}">{% trans "Anterior" %}</a>
  {% endif %}
  {% if curr_page == total_pages %}
    <a class="pagination-next is-disabled">{% trans "Siguiente" %}</a>
  {% else %}
    <a class="pagination-next"
       href="{{ base_href }}&page={{ curr_page|add:1 }}">{% trans "Siguiente" %}</a>
  {% endif %}
  <ul class="pagination-list">
    {% for page in pagination %}
      <li>
        {% if page == curr_page %}
          <a class="pagination-link is-current">{{ page }}</a>
        {% elif page == "..." %}
          <a class="pagination-ellipsis">…</a>
        {% else %}
          <a class="pagination-link" href="{{ base_href }}&page={{ page }}">{{ page }}</a>
        {% endif %}
      </li>
    {% endfor %}
  </ul>
</nav>
